> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Invoices



## OpenAPI

````yaml /openapi.json post /v1/invoices/export
openapi: 3.0.3
info:
  contact:
    name: Stuut Support
    url: https://stuut.ai
    email: devs@stuut.co
  termsOfService: https://stuut.ai/terms-and-conditions
  title: Stuut API
  version: 0.1.0
servers:
  - url: http://api.stuut.ai
security: []
tags:
  - name: Analytics
  - name: Bank Accounts
  - name: Bank Statements
  - name: Bank Transactions
  - name: Call Agents
  - name: Call Agent Scenarios
  - name: Calls
  - name: Contact Suggestions
  - name: demo
  - name: Email Senders
  - name: Email Templates
  - name: Email Template Folders
  - name: Email Threads
  - name: Emails
  - name: Files
  - name: Invoices
  - name: Notes
  - name: Organizations
  - name: Outreach Workflows
  - name: Partners
  - name: Partner Contacts
  - name: Payments
  - name: Phone Numbers
  - name: Plaid
  - name: Profile
  - name: Pusher
  - name: Remittances
  - name: Tags
  - name: Tasks
  - name: User Invites
  - name: Users
paths:
  /v1/invoices/export:
    post:
      tags:
        - Invoices
      summary: Export Invoices
      operationId: invoices.export
      parameters:
        - in: header
          name: accept
          schema:
            type: string
            default: text/csv
            enum:
              - t
              - e
              - x
              - /
              - c
              - s
              - v
          required: false
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExportInvoicesRequest'
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StuutErrorHTTP'
          description: Authentication error
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    ExportInvoicesRequest:
      type: object
      properties:
        sort_order:
          enum:
            - asc
            - desc
        sort_by:
          type: string
          enum:
            - amount_due
            - amount_remaining
            - due_date
            - issued_at
            - paid_at
            - number
            - last_inbound_at
            - last_outreach_at
            - total_amount
        number:
          type: array
          items:
            type: string
        task:
          type: string
          description: The `Task` identifier, (e.g. `tsk_abc123`).
        search:
          type: string
        assignee: {}
        partner: {}
        amount_remaining:
          type: string
        status:
          type: array
          items:
            enum:
              - draft
              - open
              - uncollectible
              - paid
              - void
              - processing
              - overdue
        istatus:
          type: string
        issued_at:
          type: string
        has_outreach:
          type: boolean
        customer_outreach_paused:
          type: boolean
        email:
          type: string
          format: email
    StuutErrorHTTP:
      type: object
      properties:
        data:
          type: object
          additionalProperties: {}
        error:
          type: string
        message:
          type: string
      required:
        - data
        - error
        - message
    ValidationError:
      properties:
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
        message:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````